<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="@dimen/dp_10">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:fontFamily="sans-serif-medium"
                android:text="开关"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_14" />

            <RadioButton
                android:id="@+id/turnOffRadioButton"
                android:layout_width="@dimen/titleViewHeight"
                android:layout_height="@dimen/titleViewHeight"
                android:background="@drawable/selector_device_turn_off"
                android:button="@null"
                android:gravity="center" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/modeLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <RadioGroup
                android:id="@+id/speedModeRadioGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/comfortableRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_range_hood_low_speed"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="舒适" />

                <RadioButton
                    android:id="@+id/ecoRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_60"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_range_hood_high_speed"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="节能" />

                <RadioButton
                    android:id="@+id/summerRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_range_hood_max_speed"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="夏季" />
            </RadioGroup>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/showerTempLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="卫浴温度设置"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/showerTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="42"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISlider
                android:id="@+id/showerTempSlider"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25"
                app:qmui_slider_bar_thumb_style_attr="QMUISliderThumbStyle" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/showerMinTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="35"
                    android:textColor="@color/subMainThemeColor" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit" />

                <TextView
                    android:id="@+id/showerMaxTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="60"
                    android:textColor="@color/subMainThemeColor" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/temperature_unit" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/heaterTempLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="供暖温度设置"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/heaterTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="42"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISlider
                android:id="@+id/heaterTempSlider"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25"
                app:qmui_slider_bar_thumb_style_attr="QMUISliderThumbStyle" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/heaterMinTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="35"
                    android:textColor="@color/subMainThemeColor" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit" />

                <TextView
                    android:id="@+id/heaterMaxTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="60"
                    android:textColor="@color/subMainThemeColor" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/temperature_unit" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_10"
            android:paddingVertical="@dimen/dp_15">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="累计耗气量"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/totalGasUsedView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0L"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>